IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CF_Descrip_Cbte_Producto') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_Descrip_Cbte_Producto
END
GO

CREATE FUNCTION dbo.CF_Descrip_Cbte_Producto(@pId_Trans INT) 
RETURNS VARCHAR(8000)
AS
BEGIN

DECLARE @Descripcion	VARCHAR(8000)

DECLARE @Descrip_Prod	VARCHAR(100)

SET @Descripcion='' 
DECLARE curNombre CURSOR FOR
SELECT Descripcion_Detallada FROM Productos P, Cbtes_Items CI
WHERE
CI.Id_Producto=P.Id_Producto
AND CI.Id_Trans=@pId_Trans

OPEN curNombre
FETCH NEXT FROM curNombre INTO @Descrip_Prod
WHILE @@FETCH_STATUS = 0
BEGIN

IF(@Descripcion='')
BEGIN
	set @Descripcion = @Descrip_Prod 
END 
ELSE
BEGIN
	set @Descripcion = @Descripcion + ', ' +@Descrip_Prod
END

FETCH NEXT FROM curNombre INTO @Descrip_Prod
END
CLOSE curNombre
DEALLOCATE curNombre


RETURN ISNULL(@Descripcion, '')

END  
